{# Server Settings #}

{% include 'nomad-base-config.hcl.j2' %}

advertise { 
  http = "{{ nomad_bind_address }}" 
}

server {
  enabled          = true
  bootstrap_expect = {{ nomad_server_bootstrap_expect }}
  encrypt          = "{{ nomad_encryption_key }}"
  raft_protocol    = 3
}

tls {
  http = true
  rpc  = true

  ca_file   = "{{ nomad_tls_certs_path }}/{{ nomad_tls_ca_file }}"
  cert_file = "{{ nomad_tls_certs_path }}/{{ nomad_tls_cert_file }}"
  key_file  = "{{ nomad_tls_certs_path }}/{{ nomad_tls_key_file }}"

  verify_server_hostname = true
  verify_https_client    = false
}

{% include "consul-block/consul-server-config.hcl.j2" %}